package pay.platform.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.KeyType;
import com.mybatisflex.annotation.Table;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * 通道管理 实体类。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Schema(name = "通道管理")
@Table(value = "t_pay_channel")
public class PayChannel {

    /**
     * id
     */
    @Schema(description = "id")
    @Id(keyType = KeyType.Generator, value = "SUID")
    private String id;

    /**
     * 名称
     */
    @Schema(description = "名称")
    @Column(value = "name")
    private String name;

    /**
     * 编码
     */
    @Schema(description = "编码")
    @Column(value = "code")
    private String code;

    /**
     * 状态
     */
    @Schema(description = "状态 ")
    @Column(value = "status")
    private Integer status;

    /**
     * 创建人
     */
    @Schema(description = "创建人")
    @Column(value = "create_user")
    private String createUser;

    /**
     * 创建时间
     */
    @Schema(description = "创建时间")
    @Column(value = "create_time", onInsertValue = "now()")
    private LocalDateTime createTime;

    /**
     * 修改人
     */
    @Schema(description = "修改人")
    @Column(value = "update_user")
    private String updateUser;

    /**
     * 修改时间
     */
    @Schema(description = "修改时间")
    @Column(value = "update_time", onUpdateValue = "now()", onInsertValue = "now()")
    private LocalDateTime updateTime;
}
