package pay.platform.api.system.servcie.impl;


import cn.hutool.core.util.RandomUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import pay.platform.api.system.servcie.PayMerchantAppKeyService;
import pay.platform.api.system.servcie.PayMerchantService;
import pay.platform.api.system.servcie.PayMerchantStoreService;
import pay.platform.core.common.domain.BaseService;
import pay.platform.core.util.PasswordUtil;
import pay.platform.domain.PayMerchant;
import pay.platform.domain.PayMerchantAppKey;
import pay.platform.domain.PayMerchantStore;
import pay.platform.mapper.PayMerchantMapper;

import java.util.ArrayList;
import java.util.List;

/**
 * 商户管理 服务层实现。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
@Service
public class PayMerchantServiceImpl extends BaseService<PayMerchantMapper, PayMerchant> implements PayMerchantService {
    @Autowired
    private PayMerchantStoreService payMerchantStoreService;
    @Autowired
    private PayMerchantAppKeyService payMerchantAppKeyService;

    @Override
    @Transactional
    public boolean saveMerchant(PayMerchant payMerchant) {
        payMerchant.setPassword(PasswordUtil.encoder(payMerchant.getPassword()));
        save(payMerchant);
        List<PayMerchantStore> storeList = new ArrayList<>();
        for (int i = 0; i < 7; i++) {
            PayMerchantStore payMerchantStore = new PayMerchantStore();
            payMerchantStore.setMerchantId(payMerchant.getId());
            payMerchantStore.setStoreId(RandomUtil.randomNumbers(13));
            payMerchantStore.setOperatorId(RandomUtil.randomNumbers(6));
            storeList.add(payMerchantStore);

        }
        payMerchantStoreService.saveBatch(storeList);
        PayMerchantAppKey payMerchantAppKey = PayMerchantAppKey.builder().appId(RandomUtil.randomString(18)).appSecret(RandomUtil.randomString(32))
                .appKey(RandomUtil.randomString(12))
                .merchantId(payMerchant.getId()).build();
        payMerchantAppKeyService.save(payMerchantAppKey);
        return true;
    }
}