package pay.platform.api.controller;

import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import pay.platform.api.model.request.PayRequest;
import pay.platform.api.servcie.PayMerchantService;
import pay.platform.domain.PayMerchant;

/**
 * 接口 - 支付
 */
@Slf4j
@RestController
@RequestMapping("/api")
@RequiredArgsConstructor
public class PayController {

    @Autowired
    private PayMerchantService payMerchantService;

    @PostMapping("/pay/alipay")
    public void pay(@RequestBody PayRequest payRequest) {
        PayMerchant payMerchant = payMerchantService.getById(payRequest.getMerchantId());
        if (payMerchant == null) {
            throw new RuntimeException("商户号不存在");
        }
    }

}
