package pay.platform.api.model.request;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;


/**
 * 支付请求
 */
@Data
public class PayRequest implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;
    @NotBlank(message = "订单号不能为空")

    private String orderNo;
    @NotBlank(message = "金额不能为空")
    private String amount;
    // 商品名称
    String subject;
    // 商品描述
    String body;
    // 金额
    @NotBlank(message = "商户号不能为空")
    String merchantId;
}
